Subject: bug#51236: 27.2/28 small typos/faq correction?

From: Ian Nehera <[email-masked]>
Date: Sat, 16 Oct 2021 15:01:22 -0700

> On Oct 16, 2021, at 12:46 AM, Eli Zaretskii <[email-masked]> wrote:
> "Data" is plural, so I think using plural form here is non incorrect.

It’s not incorrect, it just jumped out to me when I read it. Similar to:
	- There is no data on the disk.
as opposed to:
	- There are no data on the disk.
"Data is” and “data are" are both technically correct so I guess this
one's more of a style choice than a typo.

> What would you suggest to update and how?  Both C-y and M-y are
> mentioned in the manual, and the manual is always more detailed than
> any other documentation.  Could you state the problem you see with the
> current text?

The cross-referenced manual page (Isearch Yanking) doesn’t mention that
`isearch-yank-pop’ (27.2) can yank text when the previous command wasn’t
a yank. The only place it gets mentioned is in a comment in the source:

	;; Fall back on `isearch-yank-kill' for the benefits of people
	;; who are used to the old behavior of `M-y' in isearch mode. In
	;; future, this fallback may be changed if we ever change
	;; `yank-pop' to do something like the kill-ring-browser.

A separate function was made for the `kill-ring-browser’ functionality in 28.1
(isearch-yank-pop) but the old behaviour is still the default (isearch-yank-pop-only).
If that’s going to be the case long term, there should be a note of it in the manual.
Maybe something like:

	…usual ‘M-y’ (‘yank-pop’) command (see Yanking).  [However unlike the usual
	‘M-y’, ‘isearch-yank-pop’ will act like ‘C-y’ when the previous command wasn’t
	a yank. That is, it will yank the most recent kill.]  Clicking ‘mouse-2’ in the…

If the old `M-y’ behaviour WON’T be the default long term, then the FAQ should be
change to something along the lines of:

	[‘C-y’ and ‘M-y’ work the same in searches as they do in normal editing.]  See…

Thanks,
Ian

> On Oct 16, 2021, at 12:46 AM, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: Ian Nehera <[email-masked]>
>> Date: Fri, 15 Oct 2021 22:03:08 -0700
>> 
>> Hi, I found a couple small typos in 27.2 that are still present in the source for 28.1.
> 
> Thank you for your reports.
> 
>> doc/lispref/searching.texi line 2174: missing ’s’ on "describe"
>> 	- Because the match data normally describe[s] …
>> 
>> url-retrieve-synchronously doc-string
>> lisp/url/url.el line 229:
>> 	- Original: ...or nil if there are no data associated with it (the …
>> 		- Change V1: there [is] no data ...
>> 		- Change V2: or nil if [the buffer contains] no data […] (the …
> 
> "Data" is plural, so I think using plural form here is non incorrect.
> 
>> The other thing I found is that the Emacs FAQ.
>> 
>> doc/misc/efaq.texi line 1905:
>> Yanking text in isearch recommends ‘M-y’ for yanking text out of the kill
>> ring. This works, but the cross referenced manual page only mentions
>> the usual ‘C-y’ method with ‘M-y’ yanking previous kills. Is the manual 
>> out of date or should the FAQ be updated?
> 
> What would you suggest to update and how?  Both C-y and M-y are
> mentioned in the manual, and the manual is always more detailed than
> any other documentation.  Could you state the problem you see with the
> current text?
> 
> Thanks again for your interest in Emacs documentation.